colour-2.3.3: A model for human colour/color perception

Safe Haskell | Safe
Language | Haskell98

Data.Colour.SRGB.Linear

Description

Provides a linear colour space with the same gamut as Data.Colour.SRGB.

Synopsis

- data Colour a
- data RGB a = RGB {
  - channelRed :: !a
  - channelGreen :: !a
  - channelBlue :: !a
  }
- rgb :: Fractional a => a -> a -> a -> Colour a
- toRGB :: Fractional a => Colour a -> RGB a
- sRGBGamut :: RGBGamut

# Documentation

data Colour a Source

This type represents the human preception of colour. The `a` parameter is a numeric type used internally for the representation.

The `Monoid` instance allows one to add colours, but beware that adding colours can take you out of gamut. Consider using `blend` whenever possible.

Instances

ColourOps Colour Source |
AffineSpace Colour Source |
Eq a => Eq (Colour a) Source |
Num a => Monoid (Colour a) Source |

data RGB a Source

An RGB triple for an unspecified colour space.

Constructors

RGB |

Fields

channelRed :: !a
channelGreen :: !a
channelBlue :: !a

Instances

Functor RGB Source |
Applicative RGB Source |
Eq a => Eq (RGB a) Source |
Read a => Read (RGB a) Source |
Show a => Show (RGB a) Source |

rgb :: Fractional a => a -> a -> a -> Colour a Source

Constructs a `Colour` from RGB values using the linear RGB colour with the same gamut as sRGB.

toRGB :: Fractional a => Colour a -> RGB a Source

Return RGB values using the linear RGB colour with the same gamut as sRGB.

sRGBGamut :: RGBGamut Source

This is the gamut for the sRGB colour space.